darcs

Issue 1928 removing a file and adding a directory with the same name breaks

Title removing a file and adding a directory with the same name breaks
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List dmitry.kurochkin, ganesh
Assigned To
Topics

Created on 2010-08-20.21:21:32 by ganesh, last changed 2015-06-17.21:46:02 by bf.

Messages
msg12245 (view) Author: ganesh Date: 2010-08-20.21:21:31
If you try to remove a file and then add a directory with the same name 
in the same patch, darcs falls over, trying to do openBinaryFile on the 
directory. I haven't investigated where that's coming from.

There's also a missing case in Darcs.Diff.treeDiff for this situation 
(and the reverse), but that should be trivial to fix.
msg12299 (view) Author: kowey Date: 2010-08-25.16:49:08
Same old funnel: regression? test case? and hopefully the investigation.

BTS training: hmm, that's actually vaguely reassuring that so many bugs 
are this cookie-cutter...
msg18547 (view) Author: bf Date: 2015-06-17.21:46:01
There is a test for this and it suceeds.
History
Date User Action Args
2010-08-20 21:21:32ganeshcreate
2010-08-25 16:49:09koweysetstatus: unknown -> needs-reproduction
messages: + msg12299
2015-06-17 21:46:02bfsetstatus: needs-reproduction -> resolved
messages: + msg18547